2 Replies Latest reply: May 4, 2012 6:22 PM by Dave Watkins
Dave Watkins Level 1 Level 1 (35 points)

I recently did a clean re-install of OS 10.5.1 and now iTunes 10.6.1 won't start -- it tells me I need QuickTime 7.5 or higher. I have QuickTime Player 7.7 installed. What Gives?


Mac Pro, Mac OS X (10.5.8), dual 2.7 MHz G5